From fb8e5f0d739be0f3da86fb5d7a8aa85574ba3150 Mon Sep 17 00:00:00 2001
From: Chirag <chiragkasat0@gmail.com>
Date: Fri, 11 Jun 2021 19:08:16 +0530
Subject: [PATCH] update requirements.txt and create tests module

---
 pytest.ini               |  4 ++++
 requirements.txt         |  2 ++
 tests/core/test_views.py | 11 +++++++++++
 3 files changed, 17 insertions(+)
 create mode 100644 pytest.ini
 create mode 100644 tests/core/test_views.py

diff --git a/pytest.ini b/pytest.ini
new file mode 100644
index 00000000..fc8e1c85
--- /dev/null
+++ b/pytest.ini
@@ -0,0 +1,4 @@
+[pytest]
+DJANGO_SETTINGS_MODULE = pgweb.settings
+python_files = tests.py test_*.py *_tests.py
+addopts = -p no:warnings
\ No newline at end of file
diff --git a/requirements.txt b/requirements.txt
index 5d1baceb..2a55f1e4 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -10,3 +10,5 @@ pynliner==0.8.0
 Babel==2.6.0
 bleach==3.1.4
 PyYAML==3.13
+pytest>=6.1,<7.0
+pytest-django>=4.1.0,<5.0
diff --git a/tests/core/test_views.py b/tests/core/test_views.py
new file mode 100644
index 00000000..df70b3a8
--- /dev/null
+++ b/tests/core/test_views.py
@@ -0,0 +1,11 @@
+from django.test import TestCase, Client
+
+
+class TestCoreViews(TestCase):
+    def setUp(self):
+        self.client = Client()
+
+    def testHomeViewIsResolved(self):
+        response = self.client.get('/')
+        self.assertEquals(response.status_code, 200)
+        self.assertTemplateUsed(response, 'index.html')
-- 
2.17.1

